#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	%{version}
%define		kf_ver		5.105.0
%define		qt_ver		5.15.2
%define		kaname		kpimtextedit
Summary:	KPIMTextedit - a textedit with PIM-specific features
Summary(pl.UTF-8):	KPIMTextedit - pole edycji tekstu z funkcjami specyficznymi dla PIM
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	34eec446fdb47a50a6d0e3e1d3cc5668
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Designer-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
%if %{with tests}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
%endif
BuildRequires:	Qt5UiTools-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-tools
BuildRequires:	kf5-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf5-kcodecs-devel >= %{kf_ver}
BuildRequires:	kf5-kconfig-devel >= %{kf_ver}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kf_ver}
BuildRequires:	kf5-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf5-ki18n-devel >= %{kf_ver}
BuildRequires:	kf5-kiconthemes-devel >= %{kf_ver}
BuildRequires:	kf5-kio-devel >= %{kf_ver}
BuildRequires:	kf5-ktextaddons-devel >= 1.0.0
%if %{with tests}
BuildRequires:	kf5-ktextwidgets-devel >= %{kf_ver}
%endif
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kf_ver}
BuildRequires:	kf5-kxmlgui-devel >= %{kf_ver}
BuildRequires:	kf5-sonnet-devel >= %{kf_ver}
BuildRequires:	kf5-syntax-highlighting-devel >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	Qt5Widgets >= %{qt_ver}
Requires:	kf5-kcodecs >= %{kf_ver}
Requires:	kf5-kconfig >= %{kf_ver}
Requires:	kf5-kconfigwidgets >= %{kf_ver}
Requires:	kf5-kcoreaddons >= %{kf_ver}
Requires:	kf5-ki18n >= %{kf_ver}
Requires:	kf5-kio >= %{kf_ver}
Requires:	kf5-ktextaddons >= 1.0.0
Requires:	kf5-kwidgetsaddons >= %{kf_ver}
Requires:	kf5-kxmlgui >= %{kf_ver}
Requires:	kf5-sonnet >= %{kf_ver}
Requires:	kf5-syntax-highlighting >= %{kf_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPIMTextedit provides a textedit with PIM-specific features.

%description -l pl.UTF-8
KPIMTextedit dostarcza pole edycji tekstu z funkcjami specyficznymi
dla PIM.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf5-ktextwidgets-devel >= 5.105.0
Requires:	kf5-ktextaddons-devel >= 1.0.0

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang libkpimtextedit

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libkpimtextedit.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKPim5TextEdit.so.*.*.*
%ghost %{_libdir}/libKPim5TextEdit.so.5
%{_datadir}/qlogging-categories5/kpimtextedit.categories
%{_libdir}/qt5/plugins/designer/kpimtextedit5widgets.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim5TextEdit.so
%{_includedir}/KPim5/KPIMTextEdit
%{_libdir}/cmake/KF5PimTextEdit
%{_libdir}/cmake/KPim5TextEdit
%{_libdir}/qt5/mkspecs/modules/qt_KPIMTextEdit.pri
%changelog
* Tue Oct 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kpimtextedit.git;a=log;h=master

* Tue Oct 29 2024 Jakub Bogusz <qboosh@pld-linux.org> b9e4f3d
- release 2

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 2a31445
- updated dependencies

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 0781e8d
- requires ktextaddons

* Sun Oct 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 11e3502
- descriptions, cleanup

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 0144973
- devel dependency (from cmake config)

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 12beb01
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7a4a847
- Revert "- 24.01.95"

* Mon Feb 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c5adf0a
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1d1d1e4
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9e59288
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a5dd563
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9c0acbc
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4d83238
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9c2510f
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5f9c3d9
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c94c1f3
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d77a173
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 13e4fcc
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2f6b497
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 57d60b0
- updated to 22.12.2

